Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v4.compounding.common
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.compounding.common.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.dics.core.v4.compounding.common package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v4.compounding.common

Method Summary
`CompoundingFormulaKeyType` | `createCompoundingFormulaKeyType()` Create an instance of `CompoundingFormulaKeyType`
`CompoundingIngredientKeyType` | `createCompoundingIngredientKeyType()` Create an instance of `CompoundingIngredientKeyType`
`SynonymType` | `createSynonymType()` Create an instance of `SynonymType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v4.compounding.common

Method Detail

### createCompoundingIngredientKeyType

    public CompoundingIngredientKeyType createCompoundingIngredientKeyType()

  Create an instance of `CompoundingIngredientKeyType`

### createCompoundingFormulaKeyType

    public CompoundingFormulaKeyType createCompoundingFormulaKeyType()

  Create an instance of `CompoundingFormulaKeyType`

### createSynonymType

    public SynonymType createSynonymType()

  Create an instance of `SynonymType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.